Asana – Configuration Guide

Service ID: asana

Work anytime, anywhere with Asana. Keep remote and distributed teams, and your entire organization, focused on their goals, projects, and tasks with Asana.

How to create an OAuth app in Asana

Before you start, you’ll need:

Before moving forward with making sample API requests or building apps that leverage that Asana API, we recommend first getting an Asana developer sandbox. A developer sandbox is a temporary Asana domain with limited users. This is a standard Asana account where you can test Asana Premium features during development.

Developer sandboxes are intended for:

  • Developers building or maintaining a third-party integration with Asana (i.e., submit your completed integration to get listed in the Asana app directory)
  • Existing Asana Premium customers who require a separate environment to perform risk-free testing on the API To request a developer sandbox, please fill out and submit this form.

Register your OAuth application

Go to manage your apps in Asana.

To create an OAuth app you will need:

  • The name of your application

  • Your OAuth redirect URI: https://unify.apideck.com/vault/callback

  • A Client ID and Client Secret. When you register to authenticate with OAuth 2.0, we return you a Client ID and Client Secret for your application to authenticate with the Asana API.

Do your first API call

  • Connect your Asana account through Vault with a test session.

  • To test the access token, make a call to the Get current user endpoint using the Proxy API.

curl --location --request GET 'https://unify.apideck.com/proxy' \
--header 'x-apideck-consumer-id: test-consumer' \
--header 'x-apideck-app-id: {APIDECK_APP_ID}' \
--header 'x-apideck-service-id: asana' \
--header 'x-apideck-downstream-url: https://app.asana.com/api/1.0/users/me' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {APIDECK_API_KEY}'

Start building with the Asana API

Learn what else you can build with the Asana API.

Interested in a personalized demo? Let us know.